petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatLMVMIsAllocated

Returns a boolean flag that shows whether the necessary data structures for the underlying matrix is allocated.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMIsAllocated(Mat B, PetscBool *flg)

### Input Parameters

B -An LMVM-type matrix

### Output Parameter

flg -PETSC_TRUE if allocated, PETSC_FALSE otherwise

### See Also

MatLMVMAllocate(), MatLMVMReset()

### Level

intermediate

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages